Summary: A cross-platform application development environment.
Name: vt
Version: 1.5.1b3
Release: 1
Requires: tcl tk
Copyright: GPL
Group: Development/Tools
Source: vtcl-%{version}.tar.gz
Url: http://www.neuron.com/stewart/vtcl/
Patch0: vtcl-config-1.5.1b3.patch
Buildroot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
Visual Tcl is a freely-available, high-quality application development
environment for Unix, Windows and Macintosh platforms.  Since it was
written entirely in Tcl (no external libraries required) and generates
pure Tcl, porting should be either unnecessary or trivial.  Visual Tcl
includes extensible widget and geometry manager support, support for
the creation of compound widgets and widget libraries, a GUI interface
for most aspects of Tcl/Tk development, and support for the
importation of pre-existing Tcl/Tk code.  Visual Tcl can export
Tclets, which will run in Netscape or MSIE.

%prep
%setup -q -n vtcl-%{version} 
%patch0 -p1 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}{%{_bindir},%{_libdir}/vt}
install -m 755 vtcl %{buildroot}%{_bindir}/vtcl

cp -ar * %{buildroot}%{_libdir}/vt
rm -f %{buildroot}%{_libdir}/vt/{ChangeLog,configure,LICENSE}
%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README
%{_bindir}/vtcl
%{_libdir}/vt

%changelog
* Thu Mar  1 2001 Tim Powers <timp@redhat.com>
- updated to 1.5.1b3, fixes numerous problems including bug 30130

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jun 16 2000 Than Ngo <than@redhat.de>
- use RPM macros
- build as noarch

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Tue Nov 30 1999 Tim Powers <timp@redhat.com>
- updated to 1.3.0

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Thu Jul 1 1999 Tim Powers
- new version
- built package for Powertools

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Oct 12 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Fri May 22 1998 Michael Maher <mike@redhat.com>
- checked package and spec file.
- added build root and clean
- added changelog
- added wmconfig

